<template>
  <VNavigationDrawer
    v-model="drawer"
    class="l-drawer"
    temporary
    floating
    app
  >
    <VToolbar
      flat
      class="transparent"
    >
      Toolbar
    </VToolbar>

    <VList
      dense
      two-line
    >
      <VDivider />

      <VListTile
        v-for="(c, i) in children"
        :key="i"
        :to="c.path"
      >
        <VListTileAction>
          <VIcon>{{ c.meta.icon }}</VIcon>
        </VListTileAction>

        <VListTileContent>
          <VListTileTitle>{{ c.name }}</VListTileTitle>
        </VListTileContent>
      </VListTile>
    </VList>

    <VFooter
      color="transparent"
      height="auto"
      absolute
    >
      footer
    </VFooter>
  </VNavigationDrawer>
</template>

<script lang="ts">
import { Vue, Component } from 'vue-property-decorator';

// State Management
import { store, mutations } from '@/observable';

// Router
import { children, Children } from '@/router/modules/page';

@Component({
  computed: {
    drawer: {
      get() {
        return store.drawer;
      },
      set(val: boolean) {
        return mutations.setDrawer(val);
      },
    },
  },
})
export default class LDrawer extends Vue {
  drawer!: boolean

  children: Children[] = []

  created() {
    this.children = children;
  }
}
</script>

<style lang="stylus">
  .l-drawer
    .v-list--disabled
      opacity .3
</style>
